package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RoleMiningManagement.UpdateRoleMiningConfig(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.UpdateRoleMiningConfigResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.roleMiningManagement.updateRoleMiningConfig();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/role-mining/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cohortHints": [
{
"attribute": "<string>",
"priority": 123,
"values": [
"<string>"
]
}
],
"maxSuggestions": 123,
"minCohortSize": 123
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/role-mining/config"
payload = {
"cohortHints": [
{
"attribute": "<string>",
"priority": 123,
"values": ["<string>"]
}
],
"maxSuggestions": 123,
"minCohortSize": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cohortHints: [{attribute: '<string>', priority: 123, values: ['<string>']}],
maxSuggestions: 123,
minCohortSize: 123
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/role-mining/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"config": {
"cohortHints": [
{
"attribute": "<string>",
"priority": 123,
"values": [
"<string>"
]
}
],
"maxSuggestions": 123,
"minCohortSize": 123
}
}Update Role Mining Config
Update the role mining configuration, such as cohort hints, max suggestions, and minimum cohort size.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RoleMiningManagement.UpdateRoleMiningConfig(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.UpdateRoleMiningConfigResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.roleMiningManagement.updateRoleMiningConfig();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
The UpdateRoleMiningConfigRequest message.
Hints that guide the analysis to prioritize specific user attributes and values when forming cohorts.
Show child attributes
Show child attributes
Maximum number of suggestions the analysis should produce per run.
Minimum number of users a cohort must contain to generate a suggestion.
Response
Successful response
The UpdateRoleMiningConfigResponse message.
The RoleMiningManagementConfig message.
Show child attributes
Show child attributes
Was this page helpful?